### Function

# Gtk.TreePath.new_from_string

#### Declaration [src]

    GtkTreePath*
    gtk_tree_path_new_from_string (
      const char* path
    )

#### Description [src]

Creates a new `GtkTreePath`-struct initialized to `path`.

`path` is expected to be a colon separated list of numbers. For example, the string “10:4:0” would create a path of depth 3 pointing to the 11th child of the root node, the 5th child of that 11th child, and the 1st child of that 5th child. If an invalid path string is passed in, `NULL` is returned.

#### Parameters

`path` | `const char*`
| The string representation of a path
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkTreePath`
A newly-created `GtkTreePath`-struct, or `NULL`
Ownership of the data is transferred to the caller
Can be `NULL`